org.eclnt.jsfserver.starter

## Class RISCStarter

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.starter.RISCStarter

- Direct Known Subclasses:
    RISCBaseStarter

      public class RISCStarter
      extends CCServletBase

  Servlet that creates the HTML page in which the CaptainCasa RISC Client is started.
  Query Parameters:
  cctitle => title that is set to the page
  ccconfirmexit => if set to true then the user will be prompted before leaving the current page. This prevents the user from ad hoc leaving the application.
  ccexttitles => if set to true then certain components will show additional textual information in order to better support accessibility scenarios.
  ccpageicon => Icon that will be set within the browser winodw/tab
  ccresetbuffers => if set to true then all internaly buffers (e.g. server side styles) will be reset
  cc_hotdeploy => trigger creation of new hot deployment class loder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RISCStarter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `buildStyleVersionStamp(java.lang.String style)`
    `static java.lang.String` | `buildVersionStamp()`
    `protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
    `protected java.lang.String` | `findePageFolderPrefix()` May be overridden by extensions of RISCStarter.
    `protected java.lang.String` | `findPageExtension()` May be overridden by extensions of RISCStarter.
    `protected java.lang.String` | `findRiscExtension()` May be overridden by extensions of RISCStarter.
    `static void` | `initialize(ServletContext context)`
    `static void` | `resetBuffers(HttpServletRequest req)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, init, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RISCStarter

          public RISCStarter()

  - ### Method Detail

    - #### initialize

          public static void initialize(ServletContext context)

    - #### doGet

          protected void doGet(HttpServletRequest req,
                               HttpServletResponse resp)
                        throws ServletException,
                               java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### resetBuffers

          public static void resetBuffers(HttpServletRequest req)

    - #### buildVersionStamp

          public static java.lang.String buildVersionStamp()

    - #### buildStyleVersionStamp

          public static java.lang.String buildStyleVersionStamp(java.lang.String style)

    - #### findePageFolderPrefix

          protected java.lang.String findePageFolderPrefix()

      May be overridden by extensions of RISCStarter.

    - #### findPageExtension

          protected java.lang.String findPageExtension()

      May be overridden by extensions of RISCStarter.

    - #### findRiscExtension

          protected java.lang.String findRiscExtension()

      May be overridden by extensions of RISCStarter.

Copyright © CaptainCasa Gmbh. All Rights Reserved.